<a name="menu" href="/doc">返回主目录</a>
1. [尼斯查询（一）](#getNcl)
1. [尼斯查询（二）](#getNclTwo)
1. [文字转图片](#word2pic)
1. [商标样式转换](#uploadStandardTm)
1. [图片转pdf](#pic2pdf)
1. [调整委托书](#adjustWTSSize)
1. [获取oss配置参数](#getOssConfig)
1. [获取商标订单交付信息](#getTmOrderDeliveryInfo)
1. [获取商标官文列表信息](#getTmOrderDeliveryFlowList)
1. [修改订单联系人](#updateContacts)
1. [商标订单修改-商标信息修改](#updateTmInfo)
1. [商标订单修改-商标尼斯信息修改](#updateNclInfo)
1. [商标订单修改-修改申请人信息](#updateCustomerInfo)
1. [商标订单修改-修改交官材料](#updateOfficial)
1. [商标方案确认](#tmConfirm)
1. [推送委托书模板邮件(阿里云)](#sendAliWtsEmail)
1. [商标智能推荐及全类保护](#getNclByCode)


## **<a name="getNcl"> 尼斯查询（一）</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getNcl
``` javascript
    {
        "nclcode": "01"   //Y string 尼斯编号（尼斯大类类别获取群组类别）
    }
```

#### 返回结果
```javascript
    {
        "status": 0,//操作状态0:操作成功-1:操作失败
        "msg": "操作成功",//操作信息
        "data": [
            {
                "code": "01",//尼斯大类编码
                "name": "",//大类名称
                "pcode": "",//父类编码 大类要为父类则为空
                "type": 1,
                "children": [//尼斯群组信息
                    {
                        "code": "0106",//群组编码
                        "name": "化学试剂",//群组名称
                        "pcode": "01",//群组父类编码 即其所属大类编码
                        "type": 1,
                        "children": [//尼斯小类
                            {
                                "code": "010122",//小类编码
                                "name": "生物化学催化剂",//小类名称
                                "pcode": "0106"//小类父类编码 即其所属群组编码
                            }
                        ]
                    }
                ]
            },
            {
                "code": "42",
                "name": "",
                "pcode": "",
                "type": 1,
                "children": [
                    {
                        "code": "4211",
                        "name": "提供化学研究服务",
                        "pcode": "42",
                        "type": 1,
                        "children": [
                            {
                                "code": "",
                                "name": "生物化学研究和分析",
                                "pcode": "4211"
                            }
                        ]
                    }
                ]
            }
        ],
        "requestId": "8cd7e91ec607453c805da8302f3e068c"
    }
```

## **<a name="getNclTwo"> 尼斯查询（二）</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getNcl

``` javascript
    {
        "name": "生物化学",//Y strin 尼斯名称
        "ncls ": ["01"]//N List 尼斯大类编码列表
    }
```

#### 返回结果
```javascript
    {
        "status": 0,//操作状态0:操作成功-1:操作失败
        "msg": "操作成功",//操作信息
        "data": [
            {
                "code": "01",//尼斯大类编码
                "name": "",//大类名称
                "pcode": "",//父类编码 大类要为父类则为空
                "type": 1,
                "children": [//尼斯群组信息
                    {
                        "code": "0106",//群组编码
                        "name": "化学试剂",//群组名称
                        "pcode": "01",//群组父类编码 即其所属大类编码
                        "type": 1,
                        "children": [//尼斯小类
                            {
                                "code": "010122",//小类编码
                                "name": "生物化学催化剂",//小类名称
                                "pcode": "0106"//小类父类编码 即其所属群组编码
                            }
                        ]
                    }
                ]
            },
            {
                "code": "42",
                "name": "",
                "pcode": "",
                "type": 1,
                "children": [
                    {
                        "code": "4211",
                        "name": "提供化学研究服务",
                        "pcode": "42",
                        "type": 1,
                        "children": [
                            {
                                "code": "",
                                "name": "生物化学研究和分析",
                                "pcode": "4211"
                            }
                        ]
                    }
                ]
            }
        ],
        "requestId": "8cd7e91ec607453c805da8302f3e068c"
    }
```


## **<a name="word2pic"> 文字转图片</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：word2pic

``` javascript
    {
        "word": "235"
    }
```

#### 返回结果
```javascript
    {
        "status":0,
        "msg":"操作成功",
        "data":{
            "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2pic0310054131e546c68e572e72845e10ed.jpg"
        },
        "requestId":"289fc8efa0ca4db79affc34dc0b78b9e"
    }

```


## **<a name="uploadStandardTm"> 商标样式转换</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：uploadStandardTm

``` javascript
    {
        "key": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_picUrl295615693112289552019824.jpg"
    }
```

#### 返回结果
```javascript
    {
        "status":0,
        "msg":"操作成功",
        "data":{
            "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_picUrl295652019824.jpg",
            "url2":"https://gsb-zc.oss-cn-beijing.aliyuncs.com/6tkoZLO7vLzvFpzP2sOo.jpg"
        },
        "requestId":"610fa9e864014d9b92bb63bb28eab6df"

    }

```

## **<a name="pic2pdf"> 图片转pdf</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：pic2pdf

``` javascript
    {
        "key": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_picUrl295615693112289552019824.jpg"
    }
```

#### 返回结果
```javascript
    {
        "status":0,
        "msg":"操作成功",
        "data":{
            "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz23491569102019824.pdf"
        },
        "requestid":"0f6a38044034475eb47e80a78d3bdd6c"

    }

```

## **<a name="adjustWTSSize"> 调整委托书</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：adjustWTSSize

``` javascript
    {
        "key":"https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2pic0310054131e546c68e572e72845e10ed.jpg"
    }
```

#### 返回结果
```javascript
    {
        "status":0,
        "msg":"操作成功",
        "data":{
            "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_wts745215693150065342019824.jpg"
        },
        "bizmsg":"empty",
        "requestid":"10fc80d7084549238ad59a1016a92c5f"
    }

```

## **<a name="getOssConfig"> 获取oss配置数据</a>**
[返回到目录](#menu)
##### URL
[/action/tmTools/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getOssConfig

``` javascript
{
    "bucket":"gsb-zc"// N 桶的名称
}

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
        "OSSAccessKeyId":"LTAIyAUK8AD04P5S",
        "policy":"eyJleHBpcmF0aW9uIjoiMjExOS0xMi0zMVQxNjowMDowMC4wMDBaIiwiY29uZGl0aW9ucyI6W1siY29udGVudC1sZW5ndGgtcmFuZ2UiLDAsMTA0ODU3NjAwMF0sWyJzdGFydHMtd2l0aCIsIiRrZXkiLCJ6YyJdXX0=",
        "Signature":"PIEo2XGkySgyJIEcdEcM0G+0D04=",
        "Bucket":"gsb-zc",
        "success_action_status":201,
        "url":"https://gsb-zc.oss-cn-beijing.aliyuncs.com"
    },
    "requestId":"becb6b6bfa9449129c84d35b13b5e5e7"
}

```

## **<a name="getTmOrderDeliveryInfo"> 获取商标订单交付信息</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getOrderDeliveryInfo

``` javascript
{
    "orderNo":"TM26202002271337mkgN"// Y 订单号
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data": {
        "deliveryUpdated":"2020-02-19T06:53:09.000Z",//流程状态创建时间
        "deliveryStatus": "dsh",//流程状态编码
        "deliveryStatusName": "待审核",//流程状态名称（dsccl: 待上传材料,dfwsfw: 待服务,dqrfa:待确认方案,fabtg:方案不通过, dsh: 待审核, ddj: 待递交, ydj: 已递交, ywc: 已完成）    
        "deliveryStatusList":[
            {
                "deliveryUpdated":"2020-02-18T06:53:09.000Z",//流程状态创建时间
                "deliveryStatus": "dsccl",//流程状态编码
                "deliveryStatusName": "待上传材料"//流程状态名称（dsccl: 待上传材料,dfwsfw: 待服务,dqrfa:待确认方案,fabtg:方案不通过, dsh: 待审核, ddj: 待递交, ydj: 已递交, ywc: 已完成）
            },
            {
                "deliveryUpdated":"2020-02-19T06:53:09.000Z",
                "deliveryStatus": "dsh",
                "deliveryStatusName": "待审核"
            }
        ],
        "notes":"", //  订单备注                                                                                       
        "opNotes":"", //操作备注  
        "orderContact": {
            "id": 448,
            "contactName": "宋毅",//联系人
            "mobile": "15010929368",//联系人手机号
            "tel": null,//联系人电话
            "email": "songyi@gongsibao.com",//联系人邮箱
            "fax": null//联系人传真
        },    
        "apply": {//申请信息
            "applyAddr": "上海市杨浦区国定路346号三楼0624室",//执照详细地址
            "applyArea": "",//申请区域--暂时没有用到
            "businessLicensePic": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.jpg",//营业执照jpg地址
			"businessLicensePdf": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.pdf",//营业执照pdf地址
            "code": "91310110398635929J",//统一社会信用代码
            "customerType": "ent",//申请人类型 person个人，ent企业           
            "identityCardNo": "",//申请人身份证号--（申请类型为个人有此值）
            "identityCardPic": "",//申请人身份证jpg地址--（申请类型为个人有此值）
			"identityCardPdf": "",   //申请人身份证pdf地址  --（申请类型为个人有此值）    
            "name": "上海辰者信息科技有限公司",  //申请人名称          
            "gzwtsUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_wts863215710393842862019914.jpg",//盖章委托书url
            "smwjUrl":"",//说明文件url
            "zipCode": "100000"//邮政编码
        },
        "tm": {
            "colorizedPicUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",//商标彩色图样
            "tmName": "testbiao",//商标名称
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",//商标图样       
            "tmFormType": "3"//商标类型形式： 3: 字, 4: 图, 5: 字图
        },
        "nclones": [
            {
                "tbCode": "TB26202002271337v5y9",//提报号   
                "tmRegistNum": "",//商标申请号   
                "code": "02",//尼斯大类编码
                "name": "颜料油漆",//尼斯大类名称
                "submitTime": "",//提报时间                
                "tmStatus": "dsh",//商标状态编码
                "tmStatusName": "待审核",//商标状态编码名称
				"nclCount": 2,//尼斯小项数量
				"nclPublicExpense": 300,
                "nclThree": [
                    {
                        "code": "020008",//小项编码
                        "disabled": false,
                        "fullname": "020008 绘画用铝粉",//小项编码加名称
                        "name": "绘画用铝粉",//小项名称
                        "pcode": "0202"//小项所属群组编码
                    },
                    {
                        "code": "020005",
                        "name": "食品用着色剂",
                        "pcode": "0203",
                        "disabled": "false",
                        "fullname": "020005 食品用着色剂"
                    }
                ]
            }
        ]
    },
    "requestId": "fe7bb14275d94b48a041c371dfde50aa"
}

```

## **<a name="getTmOrderDeliveryFlowList"> 获取商标官文列表信息</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getOrderDeliveryFlowList

``` javascript
{
    "sourceOrderNoList":["29471633","29956232"]// Y 商标申请号
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data": [
        {
            "sourceOrderNo": "29471633",
            "flowList": [
                {
                    "updated": "2020-02-19T06:53:09.000Z",// 创建时间
                    "tmStatus": "13",//官文状态编码
                    "uploadFileName": "29471633-注册-PASSED.pdf",//上传文件名称
                    "returnReceiptUrl": "http://gsb-public.oss-cn-beijing.aliyuncs.com/netsharp_Z7wfENwQZDWiWFbMsSchDkFJKfBb3Ah4.jpg",//官文回执Url
                    "tmStatusName": "已下发商标注册证"//官文状态名称
                }
            ]
        },
        {
            "sourceOrderNo": "29956232",
            "flowList": [
                {
                    "updated": "2020-02-20T06:53:09.000Z",
                    "tmStatus": "3",
                    "uploadFileName": "29956232-已受理-RECVED.pdf",
                    "returnReceiptUrl": "http://gsb-public.oss-cn-beijing.aliyuncs.com/netsharp_bj38cY3ZkN4AGj48kQGNSEaSMECJXN5c.pdf",
                    "tmStatusName": "已受理"
                }
            ]
        }
    ],
    "requestId": "97b78e24d2a441dca525d36af9b7c75d"
}

```


## **<a name="updateContacts"> 修改订单联系人</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateContacts

``` javascript
{    
    "orderNo":"TM26202002271337mkgN",// Y 订单号
    "notes":"订单备注",// N 订单备注
    "orderContact":{ // Y 订单联系人信息
        "contacts": "宋毅",// Y 联系人
        "mobile": "15010929368",// Y 联系人电话
        "email": "songyi@gongsibao.com",// Y 联系人邮箱
        "fax": ""// N 传真
    }        
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="updateTmInfo"> 商标订单修改-商标信息修改</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
        "orderNo":"TM26202002271337mkgN",// Y 订单号        
        "tm": {
            "colorizedPicUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",// Y 商标彩色图样
            "tmName": "testbiao",// Y 商标名称
            "channelItemAppendName":"testbiao",// Y 填写的商标名称  如：AA为例：文字不处理为：AA、文字及图处理成：AA及图、图形处理成：图形
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",// Y 商标图样       
            "tmFormType": "3"// Y 商标类型形式：1: 立体, 3: 字, 4: 图, 5: 字图, 6: 颜色, 7: 彩色
        }
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffenclonese"
}

```

## **<a name="updateNclInfo"> 商标订单修改-商标尼斯信息修改</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
    "orderNo":"TM26202002271337mkgN",// Y 订单号
    "additions":{// N 附加购买项目
        "payCode": "zzsbzc-2", // Y 支付价格code
        "quantity":2// Y 购买数量
    },
    "nclones": [
        {
            "code": "02",//大类编码
            "name": "颜料油漆",//大类名称
            "nclThree": [
                {
                    "code": "020008",//小项编码
                    "disabled": "false",
                    "fullname": "020008 绘画用铝粉",//小项编码加名称
                    "name": "绘画用铝粉",//小项名称
                    "pcode": "0202"//小项所属群组编码
                },
                {
                    "code": "020005",
                    "disabled": "false",
                    "fullname": "020005 食品用着色剂",
                    "name": "食品用着色剂",
                    "pcode": "0203"
                }
            ]
        }
    ]
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="updateCustomerInfo"> 商标订单修改-修改申请人信息</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
    "orderNo":"TM26202002271337mkgN",// Y 订单号
    "apply": {// Y 申请信息
        "applyAddr": "上海市杨浦区国定路346号三楼0624室",// Y 执照详细地址
        "applyArea": "",//申请区域--暂时没有用到
        "businessLicensePic": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.jpg",// Y 营业执照jpg地址
        "businessLicensePdf": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.pdf",// Y 营业执照pdf地址
        "code": "91310110398635929J",// Y 统一社会信用代码
        "customerType": "ent",// Y 申请人类型 person个人，ent企业           
        "identityCardNo": "",// N 申请人身份证号--（申请类型为个人有此值）
        "identityCardPic": "",// N 申请人身份证jpg地址--（申请类型为个人有此值）
        "identityCardPdf": "",   // N 申请人身份证pdf地址  --（申请类型为个人有此值）    
        "name": "上海辰者信息科技有限公司",  // Y 申请人名称          
        "zipCode": "100000"// Y 邮政编码
    }
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="updateOfficial"> 商标订单修改-修改交官材料</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
        "orderNo":"TM26202002271337mkgN",// Y 订单号
        "apply": {// Y 申请信息
            "identityCardPic": "",// N 申请人身份证jpg地址--（申请类型为个人有此值）
            "identityCardPdf": "",   // N 申请人身份证pdf地址  --（申请类型为个人有此值）   
            "businessLicensePic": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.jpg",// Y 营业执照jpg地址
            "businessLicensePdf": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.pdf",// Y 营业执照pdf地址   
            "gzwtsUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_wts863215710393842862019914.jpg",// Y 盖章委托书url
            "smwjUrl":""//  N 说明文件url
        }
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="tmConfirm"> 商标方案确认</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：tmConfirm

``` javascript
{
    "orderNo ":"346c3091684e4e0eef",
    "isConfirm ":"1",
    "notes ":"",

}

```

#### 返回结果
```javascript
{
    "status":0,
    "data":null,
    "msg":"商标方案确认成功",
    "requestId":"0c14f04dc187486b829e392dc87c70c6"
}

```

## **<a name="sendAliWtsEmail"> 推送委托书模板邮件(阿里云)</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：sendAliWtsEmail

``` javascript
{
    "email ":"zhuangbing@gongsibao.com",
}

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":"250 Data Ok: queued as freedom",
    "requestId":"9f0d22bd7afe402f830a559b2e7a412a"
}

```


## **<a name="getNclByCode"> 尼斯智能推荐及大类保护</a>**
[返回到目录](#menu)
##### URL
[/web/action/tmQuery/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getNclByCode

``` javascript
{
    "businessCode": "技术研究"//二级行业名称 或者 大类全称
}

```

#### 返回结果
```javascript
"businessCode": "22类-绳网袋蓬"
{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "code": "22",
        "name": "绳网袋蓬",
        "nclThree": [
            {
                "code": "220015",
                "name": "麻带",
                "pcode": "2201",
                "pname": "缆，绳，线，带",
                "disabled": false,
                "fullname": "220015 麻带"
            },
            {
                "code": "220020",
                "name": "非金属绳索",
                "pcode": "2201",
                "pname": "缆，绳，线，带",
                "disabled": false,
                "fullname": "220020 非金属绳索"
            },
            {
                "code": "220021",
                "name": "绳索",
                "pcode": "2201",
                "pname": "缆，绳，线，带",
                "disabled": false,
                "fullname": "220021 绳索"
            },
            {
                "code": "220049",
                "name": "网织物",
                "pcode": "2202",
                "pname": "网，遮篷，帐篷，防水帆布，帆",
                "disabled": false,
                "fullname": "220049 网织物"
            },
            {
                "code": "220071",
                "name": "帐篷",
                "pcode": "2202",
                "pname": "网，遮篷，帐篷，防水帆布，帆",
                "disabled": false,
                "fullname": "220071 帐篷"
            },
            {
                "code": "220075",
                "name": "运载工具非专用盖罩",
                "pcode": "2202",
                "pname": "网，遮篷，帐篷，防水帆布，帆",
                "disabled": false,
                "fullname": "220075 运载工具非专用盖罩"
            },
            {
                "code": "220094",
                "name": "网",
                "pcode": "2202",
                "pname": "网，遮篷，帐篷，防水帆布，帆",
                "disabled": false,
                "fullname": "220094 网"
            },
            {
                "code": "220115",
                "name": "防尘罩布",
                "pcode": "2202",
                "pname": "网，遮篷，帐篷，防水帆布，帆",
                "disabled": false,
                "fullname": "220115 防尘罩布"
            },
            {
                "code": "220068",
                "name": "运输和贮存散装物用麻袋",
                "pcode": "2203",
                "pname": "袋子，装卸、包装用物品",
                "disabled": false,
                "fullname": "220068 运输和贮存散装物用麻袋"
            },
            {
                "code": "220069",
                "name": "包装用纺织品袋（信封、小袋）",
                "pcode": "2203",
                "pname": "袋子，装卸、包装用物品",
                "disabled": false,
                "fullname": "220069 包装用纺织品袋（信封、小袋）"
            }
        ]
    },
    "bizmsg": "empty",
    "requestId": "78fb84ea948f4f64844994fb80796234"
}

"businessCode": "技术研究"
{
    "status": 0,
    "msg": "操作成功",
    "data": [
        {
            "code": "09",
            "name": "科学仪器",
            "nclThree": [
                {
                    "code": "090306",
                    "name": "数据处理设备",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "090306 数据处理设备"
                },
                {
                    "code": "090373",
                    "name": "已录制的计算机程序",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "090373 已录制的计算机程序"
                },
                {
                    "code": "090590",
                    "name": "计算机外围设备",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "090590 计算机外围设备"
                },
                {
                    "code": "090717",
                    "name": "可下载的计算机应用软件",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "090717 可下载的计算机应用软件"
                },
                {
                    "code": "090732",
                    "name": "计算机硬件",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "090732 计算机硬件"
                },
                {
                    "code": "090791",
                    "name": "已录制的或可下载的计算机软件平台",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "090791 已录制的或可下载的计算机软件平台"
                },
                {
                    "code": "C090142",
                    "name": "可下载的手机应用软件",
                    "pcode": "0901",
                    "pname": "电子计算机及其外部设备",
                    "disabled": false,
                    "fullname": "C090142 可下载的手机应用软件"
                }
            ]
        },
        {
            "code": "35",
            "name": "广告销售",
            "nclThree": [
                {
                    "code": "",
                    "name": "计算机网络和网站的在线推广",
                    "pcode": "3501",
                    "pname": "广告",
                    "disabled": false,
                    "fullname": "计算机网络和网站的在线推广"
                },
                {
                    "code": "350025",
                    "name": "工商管理辅助",
                    "pcode": "3502",
                    "pname": "工商管理辅助业",
                    "disabled": false,
                    "fullname": "350025 工商管理辅助"
                },
                {
                    "code": "",
                    "name": "通过互联网提供商业信息服务",
                    "pcode": "3502",
                    "pname": "工商管理辅助业",
                    "disabled": false,
                    "fullname": "通过互联网提供商业信息服务"
                },
                {
                    "code": "",
                    "name": "通过互联网、有线网络或其他形式的数据传输提供商业信息",
                    "pcode": "3502",
                    "pname": "工商管理辅助业",
                    "disabled": false,
                    "fullname": "通过互联网、有线网络或其他形式的数据传输提供商业信息"
                },
                {
                    "code": "",
                    "name": "商业咨询、顾问和信息服务",
                    "pcode": "3502",
                    "pname": "工商管理辅助业",
                    "disabled": false,
                    "fullname": "商业咨询、顾问和信息服务"
                },
                {
                    "code": "",
                    "name": "专业商业咨询",
                    "pcode": "3502",
                    "pname": "工商管理辅助业",
                    "disabled": false,
                    "fullname": "专业商业咨询"
                },
                {
                    "code": "350071",
                    "name": "替他人推销",
                    "pcode": "35",
                    "pname": "",
                    "disabled": false,
                    "fullname": "350071 替他人推销"
                },
                {
                    "code": "350081",
                    "name": "计算机数据库信息系统化",
                    "pcode": "3506",
                    "pname": "办公事务",
                    "disabled": false,
                    "fullname": "350081 计算机数据库信息系统化"
                },
                {
                    "code": "350117",
                    "name": "在计算机数据库中更新和维护数据",
                    "pcode": "3506",
                    "pname": "办公事务",
                    "disabled": false,
                    "fullname": "350117 在计算机数据库中更新和维护数据"
                },
                {
                    "code": "350102",
                    "name": "寻找赞助",
                    "pcode": "3508",
                    "pname": "单一服务",
                    "disabled": false,
                    "fullname": "350102 寻找赞助"
                }
            ]
        },
        {
            "code": "41",
            "name": "教育娱乐",
            "nclThree": [
                {
                    "code": "410017",
                    "name": "培训",
                    "pcode": "4101",
                    "pname": "教育",
                    "disabled": false,
                    "fullname": "410017 培训"
                },
                {
                    "code": "410017",
                    "name": "教学",
                    "pcode": "4101",
                    "pname": "教育",
                    "disabled": false,
                    "fullname": "410017 教学"
                },
                {
                    "code": "410195",
                    "name": "职业再培训",
                    "pcode": "4101",
                    "pname": "教育",
                    "disabled": false,
                    "fullname": "410195 职业再培训"
                },
                {
                    "code": "410207",
                    "name": "通过模拟装置进行的培训服务",
                    "pcode": "4101",
                    "pname": "教育",
                    "disabled": false,
                    "fullname": "410207 通过模拟装置进行的培训服务"
                },
                {
                    "code": "",
                    "name": "设计方面的培训",
                    "pcode": "4101",
                    "pname": "教育",
                    "disabled": false,
                    "fullname": "设计方面的培训"
                },
                {
                    "code": "410070",
                    "name": "安排和组织专家讨论会",
                    "pcode": "4102",
                    "pname": "组织和安排教育、文化、娱乐等活动",
                    "disabled": false,
                    "fullname": "410070 安排和组织专家讨论会"
                },
                {
                    "code": "410076",
                    "name": "安排和组织培训班",
                    "pcode": "4102",
                    "pname": "组织和安排教育、文化、娱乐等活动",
                    "disabled": false,
                    "fullname": "410076 安排和组织培训班"
                },
                {
                    "code": "410187",
                    "name": "除广告以外的版面设计",
                    "pcode": "4104",
                    "pname": "出版服务",
                    "disabled": false,
                    "fullname": "410187 除广告以外的版面设计"
                },
                {
                    "code": "",
                    "name": "通过互联网方式提供的电子游戏服务",
                    "pcode": "4105",
                    "pname": "文娱、体育活动的服务",
                    "disabled": false,
                    "fullname": "通过互联网方式提供的电子游戏服务"
                },
                {
                    "code": "",
                    "name": "提供在线计算机游戏",
                    "pcode": "4105",
                    "pname": "文娱、体育活动的服务",
                    "disabled": false,
                    "fullname": "提供在线计算机游戏"
                }
            ]
        },
        {
            "code": "42",
            "name": "网站服务",
            "nclThree": [
                {
                    "code": "420040",
                    "name": "技术研究",
                    "pcode": "4209",
                    "pname": "提供科学技术研究服务",
                    "disabled": false,
                    "fullname": "420040 技术研究"
                },
                {
                    "code": "420061",
                    "name": "技术项目研究",
                    "pcode": "4209",
                    "pname": "提供科学技术研究服务",
                    "disabled": false,
                    "fullname": "420061 技术项目研究"
                },
                {
                    "code": "",
                    "name": "替他人开发产品",
                    "pcode": "4209",
                    "pname": "提供科学技术研究服务",
                    "disabled": false,
                    "fullname": "替他人开发产品"
                },
                {
                    "code": "",
                    "name": "技术开发领域的咨询服务",
                    "pcode": "4209",
                    "pname": "提供科学技术研究服务",
                    "disabled": false,
                    "fullname": "技术开发领域的咨询服务"
                },
                {
                    "code": "产品测试420194",
                    "name": "计算机系统设计",
                    "pcode": "4220",
                    "pname": "计算机编程及相关服务",
                    "disabled": false,
                    "fullname": "产品测试420194 计算机系统设计"
                },
                {
                    "code": "420220",
                    "name": "软件即服务（SaaS）",
                    "pcode": "4220",
                    "pname": "计算机编程及相关服务",
                    "disabled": false,
                    "fullname": "420220 软件即服务（SaaS）"
                },
                {
                    "code": "420229",
                    "name": "云计算",
                    "pcode": "4220",
                    "pname": "计算机编程及相关服务",
                    "disabled": false,
                    "fullname": "420229 云计算"
                },
                {
                    "code": "420230",
                    "name": "外包商提供的信息技术服务",
                    "pcode": "4220",
                    "pname": "计算机编程及相关服务",
                    "disabled": false,
                    "fullname": "420230 外包商提供的信息技术服务"
                },
                {
                    "code": "",
                    "name": "为他人提供计算机软件设计",
                    "pcode": "4220",
                    "pname": "计算机编程及相关服务",
                    "disabled": false,
                    "fullname": "为他人提供计算机软件设计"
                }
            ]
        }
    ],
    "bizmsg": "empty",
    "requestId": "25e1f406b03f46ed80cced320a6c52a1"
}

```